Subject: [IPsec] New version of TCP Encapsulation draft, request for adoption

From: Tommy Pauly <[email-masked]>
Date: Wed, 27 Apr 2016 11:38:47 -0700

Hello,

Based on our discussions at IETF 95 and on the list, I’ve posted a new revision of the TCP Encapsulation draft (draft-pauly-ipsecme-tcp-encaps-04):
https://tools.ietf.org/html/draft-pauly-ipsecme-tcp-encaps-04 <https://tools.ietf.org/html/draft-pauly-ipsecme-tcp-encaps-04>

The highlights of the new version are:
- Moved all references to TLS to an appendix, so it is not part of the standard directly (Valery, I think this should address your concerns)
- Changed the length field to 16 bits to match 3GPP implementations (thanks to Tero for this suggestion)
- Added a magic value to put once at the beginning of any TCP stream to indicate that it is being used for IKEv2, to allow differentiation from other streams if we re-use well-known ports (thanks to Yoav for this suggestions)

I believe this addresses all of the concerns brought up previously, so I’d like to see if we could get adoption from the working group to move this draft forward. Please reply with your thoughts on this!

Thanks,
Tommy Pauly